using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class UserControl_activeList : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void DataList1_DeleteCommand1(object source, DataListCommandEventArgs e)
    {
        if (e.CommandName == "delete")
        {
           
            
            string id = this.DataList1.DataKeys[e.Item.ItemIndex].ToString();
            
            //删除附表记录
            getDelete.AllDelete("ACTIVEINFO", "activeID", Convert.ToInt32(id));
　　　　　　　　　//删除主表记录
            AccessDataSource1.DeleteParameters[0].DefaultValue = id;
            AccessDataSource1.Delete();
            
           
        }
    }
}
